%define         pypiname          curses_menu
%define         srcname           curses-menu

Name:           python-cursesmenu
Version:        0.5.0
Release:        %mkrel 1

Summary:        A simple Python menu-based GUI system on the terminal
License:        GPLv3
Group:          Development/Python

Url:            https://github.com/pmbarrett314/curses-menu
Source0:        https://pypi.org/project/curses-menu/curses-menu-%{version}.zip

BuildArch:      noarch


%description
A simple Python menu-based GUI system on the terminal using
curses. Perfect for those times when you need a GUI, but don’t want
the overhead or learning curve of a full-fledged GUI
framework. However, it's also flexible enough to do cool stuff like
on-the-fly changing of menus and is extensible to a large variety of
uses.


%package -n python3-cursesmenu
Summary:        A simple Python menu-based GUI system on the terminal
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest-runner

%description -n python3-cursesmenu
A simple Python menu-based GUI system on the terminal using
curses. Perfect for those times when you need a GUI, but don’t want
the overhead or learning curve of a full-fledged GUI
framework. However, it's also flexible enough to do cool stuff like
on-the-fly changing of menus and is extensible to a large variety of
uses.




%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1

# Remove bundled egg-info
%__rm -rf %{pypiname}.egg-info
%__rm -rf .eggs

%build
%py3_build

%install
%py3_install

%files -n python3-cursesmenu
%{python3_sitelib}/cursesmenu
%{python3_sitelib}/%{pypiname}-%{version}-py?.?.egg-info



%changelog
* Mon Oct 26 2020 eatdirt <eatdirt> 0.5.0-1.mga8
+ Revision: 1639691
- Add missing BR
- imported package python-cursesmenu

